package relax;

class recordTime{
    RelaxParams pars;

    recordTime(RelaxParams params){
	pars = params;
    } 	

    public long current(){
	if (pars.printStats())  return System.currentTimeMillis(); 
	return 0;
    }		

    public void printStatistics(long stats, long db, int tuples, long gen, long exp, long total){
	if (pars.printStats()) {
           System.out.println("Statistics collection time = "+stats);
           System.out.println("Time spent in DB for generalization = "+db);
           System.out.println("Tuples covered = "+tuples);
           System.out.println("Time for generalization = "+gen);
           System.out.println("Time for getting exceptions = "+exp);
           System.out.println("Total time taken = "+total);
	}
    }
}
