/*
CubeData : Access to data stored in the cube
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;

public class CubeData implements java.io.Serializable {
    String[] axis1Names;
    String[] axis2Names;
    Object[][] dataVals;
    
    public CubeData(String[] r, String[] c, Object[][] d) {
	axis1Names = r;
	axis2Names = c;
	dataVals = d;
    }
    public String[] axis1() {return axis1Names;}
    public String[] axis2() {return axis2Names;}
    public Object[][] data() {return dataVals;}
}
