/*
<one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2001  Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package diff;

import java.util.*;
import util.*;


interface INode extends Node, AllDiffResult {
    void start(Node cnode, BitSet id);
    void add(Node cnode);
    void close();
    void setAsRoot();
    void setCoveredStatus(boolean status);
    DiffResult finalResult();
    public DiffResult getResult(int numSlots);
}
