/*
Relation : Generic class for the different types of generalizations
    Copyright (C) 2001 Gayatri Sathe

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package relax;

import diff.*;
import util.*;
import cube.*;

public interface Relation{
    public void display(); 
    public void setSign(boolean sign);
    public void setMeasures(float f1, float f2);
    public void setDiffParams(DiffParams diffPars);
    public float[] getRS(float[] counts);
    public String Rfunc(String v1, String v2);
    public String Sfunc(String v1, String v2);	
}
