/*
CubeRows : Accessing tuples of the data cube
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;
 
public interface CubeRows extends java.io.Serializable {
    boolean next() throws Exception;
    int numColumns();
    AttrDesc colDesc(int i); // return dimension and level of the i-th column
    Object getObject(int i) throws Exception;
    double getDouble(int i) throws Exception;
    void close();
}
