/*
FloatVector : Defines a Vector of floats
    Copyright (C) 2001 Sunita Sarawagi

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

package util;

import java.util.*;

public class FloatVector extends Vector {
    public void removeFloats() {
	removeAllElements();
    }
    public float floatAt(int i) {
	return ((Float)elementAt(i)).floatValue();
    }
    public void addFloat(float v) {
	addElement(new Float(v));
    }
    public void insertFloatAt(float v, int pos) {
	insertElementAt(new Float(v), pos);
    }
}
